import { defineStore } from 'pinia'
import { ref, reactive } from 'vue'

export const useMainStore = defineStore('main', () => {
    const screen = ref(1)
    const address = ref('')
    const interests = ref('')
    const duration = ref('')
    const chat = reactive({ messages: [], asked: 0 })

    function reset() {
        screen.value = 1
        address.value = ''
        duration.value = ''
        interests.value = ''
    }

    return {
        screen,
        address,
        duration,
        interests,
        chat,
        reset,
    }
})